<?php
namespace Mageplaza\Blog\Block\Adminhtml\Tag\Edit\Tab\Post;

/**
 * Interceptor class for @see \Mageplaza\Blog\Block\Adminhtml\Tag\Edit\Tab\Post
 */
class Interceptor extends \Mageplaza\Blog\Block\Adminhtml\Tag\Edit\Tab\Post implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Registry $coreRegistry, \Magento\Backend\Helper\Data $backendHelper, \Mageplaza\Blog\Model\PostFactory $postFactory, \Mageplaza\Blog\Model\ResourceModel\Post\CollectionFactory $postCollectionFactory, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $coreRegistry, $backendHelper, $postFactory, $postCollectionFactory, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
